--- old/usr/src/uts/sun4u/vm/mach_sfmmu_asm.s	Thu Nov 14 19:00:51 2019
+++ new/usr/src/uts/sun4u/vm/mach_sfmmu_asm.s	Thu Nov 14 19:00:51 2019
@@ -23,18 +23,12 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * SFMMU primitives.  These primitives should only be used by sfmmu
  * routines.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/machtrap.h>
@@ -56,48 +50,7 @@
  * sfmmu related subroutines
  */
 
-#if defined (lint)
-
 /*
- * sfmmu related subroutines
- */
-/* ARGSUSED */
-void
-sfmmu_raise_tsb_exception(uint64_t sfmmup, uint64_t rctx)
-{}
-
-/* ARGSUSED */
-void
-sfmmu_itlb_ld_kva(caddr_t vaddr, tte_t *tte)
-{}
-
-/* ARGSUSED */
-void
-sfmmu_dtlb_ld_kva(caddr_t vaddr, tte_t *tte)
-{}
-
-int
-sfmmu_getctx_pri()
-{ return(0); }
-
-int
-sfmmu_getctx_sec()
-{ return(0); }
-
-/* ARGSUSED */
-void
-sfmmu_setctx_sec(uint_t ctx)
-{}
-
-/* ARGSUSED */
-void
-sfmmu_load_mmustate(sfmmu_t *sfmmup)
-{
-}
-
-#else	/* lint */
-
-/*
  * Invalidate either the context of a specific victim or any process
  * currently running on this CPU. 
  *
@@ -609,27 +562,6 @@
           nop
         SET_SIZE(sfmmu_load_mmustate)
 
-#endif /* lint */
-
-#if defined (lint)
-/*
- * Invalidate all of the entries within the tsb, by setting the inv bit
- * in the tte_tag field of each tsbe.
- *
- * We take advantage of the fact TSBs are page aligned and a multiple of
- * PAGESIZE to use block stores.
- *
- * See TSB_LOCK_ENTRY and the miss handlers for how this works in practice
- * (in short, we set all bits in the upper word of the tag, and we give the
- * invalid bit precedence over other tag bits in both places).
- */
-/* ARGSUSED */
-void
-sfmmu_inv_tsb_fast(caddr_t tsb_base, uint_t tsb_bytes)
-{}
-
-#else /* lint */
-
 #define	VIS_BLOCKSIZE	64
 
 	ENTRY(sfmmu_inv_tsb_fast)
@@ -707,33 +639,6 @@
 	  restore
 	SET_SIZE(sfmmu_inv_tsb_fast)
 
-#endif /* lint */
-
-#if defined(lint)
-
-/*
- * Prefetch "struct tsbe" while walking TSBs.
- * prefetch 7 cache lines ahead of where we are at now.
- * #n_reads is being used since #one_read only applies to
- * floating point reads, and we are not doing floating point
- * reads.  However, this has the negative side effect of polluting
- * the ecache.
- * The 448 comes from (7 * 64) which is how far ahead of our current
- * address, we want to prefetch.
- */
-/*ARGSUSED*/
-void
-prefetch_tsbe_read(struct tsbe *tsbep)
-{}
-
-/* Prefetch the tsbe that we are about to write */
-/*ARGSUSED*/
-void
-prefetch_tsbe_write(struct tsbe *tsbep)
-{}
-
-#else /* lint */
-
 	ENTRY(prefetch_tsbe_read)
 	retl
 	  prefetch	[%o0+448], #n_reads
@@ -743,5 +648,4 @@
 	retl
 	  prefetch	[%o0], #n_writes
 	SET_SIZE(prefetch_tsbe_write)
-#endif /* lint */
 
